/* -------------------------------------------------------------------------- */
/*                            App config: Minecraft                           */
/* -------------------------------------------------------------------------- */

{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.apps.minecraft;
in {
  options.modules.desktop.apps.minecraft = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
        modrinth-app
    ];
    environment.variables = {
      # This solves an issue where Modrinth refuses to start
      WEBKIT_DISABLE_DMABUF_RENDERER=1;
    };
  };
}