/* -------------------------------------------------------------------------- */
/*                              Art tools config                              */
/* -------------------------------------------------------------------------- */

{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.art;
in {
  options.modules.desktop.art = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    /* Driver includes support for Huion Kamvas Pro */
   hardware.opentabletdriver.enable = true;
   #services.xserver.digimend.enable = true;

    environment.systemPackages = with pkgs; [
        aseprite
        krita
        inkscape
        blockbench
    ];
  };
}