/* -------------------------------------------------------------------------- */
/*                        Computer-Aided Design config                        */
/* -------------------------------------------------------------------------- */

{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.cad;
in {
  options.modules.desktop.cad = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      /* -------------------------------- Polygonal ------------------------------- */
      (blender.override {
        # Allows GPU support for Cycles
        cudaSupport = true;
      })

      /* ------------------------------- Parametric ------------------------------- */
      openscad
      freecad

      /* ---------------------------------- Voxel --------------------------------- */
    ];
  };
}