/* -------------------------------------------------------------------------- */
/*                   Digital Audio Workstation configuration                  */
/* -------------------------------------------------------------------------- */

{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.daw;
in {
  options.modules.desktop.daw = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
        /* ----------------------------- Low-level Audio ---------------------------- */
        audacity

        /* ------------------------------- Sequencers ------------------------------- */
        lmms # Like FL Studio, but FOSS
        ardour

        # TODO: Add FL Studio if possible

        /* ----------------------------- Music Trackers ----------------------------- */
        furnace # Works by emulating classic systems - Good for chiptune
    ];
  };
}